AbstractServiceFactoryBean (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.service.factory

## Class AbstractServiceFactoryBean

- java.lang.Object
- - org.apache.cxf.service.factory.AbstractServiceFactoryBean

-     public abstract class AbstractServiceFactoryBean
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected boolean` | `dataBindingSet` |
    `protected List<String>` | `schemaLocations` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractServiceFactoryBean()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract Service` | `create()` |
    `protected DataBinding` | `createDefaultDataBinding()` |
    `Bus` | `getBus()` |
    `DataBinding` | `getDataBinding()` |
    `DataBinding` | `getDataBinding​(boolean create)` |
    `Service` | `getService()` |
    `Map<String,​Object>` | `getSessionState()` | Returns a map that is useful for ServiceFactoryBeanListener to store state across events during processing.
    `protected void` | `initializeDataBindings()` |
    `protected void` | `initializeDefaultInterceptors()` |
    `void` | `sendEvent​(FactoryBeanListener.Event ev, Object... args)` |
    `void` | `setBus​(Bus bus)` |
    `void` | `setDataBinding​(DataBinding dataBinding)` |
    `protected void` | `setService​(Service service)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataBindingSet

          protected boolean dataBindingSet

    - #### schemaLocations

          protected List<String> schemaLocations

  - ### Constructor Detail

    - #### AbstractServiceFactoryBean

          public AbstractServiceFactoryBean()

  - ### Method Detail

    - #### create

          public abstract Service create()

    - #### getSessionState

          public Map<String,​Object> getSessionState()

      Returns a map that is useful for ServiceFactoryBeanListener to store state across events during processing.

    - #### sendEvent

          public void sendEvent​(FactoryBeanListener.Event ev,
                                Object... args)

    - #### initializeDefaultInterceptors

          protected void initializeDefaultInterceptors()

    - #### initializeDataBindings

          protected void initializeDataBindings()

    - #### getBus

          public Bus getBus()

    - #### setBus

          public void setBus​(Bus bus)

    - #### getDataBinding

          public DataBinding getDataBinding()

    - #### getDataBinding

          public DataBinding getDataBinding​(boolean create)

    - #### createDefaultDataBinding

          protected DataBinding createDefaultDataBinding()

    - #### setDataBinding

          public void setDataBinding​(DataBinding dataBinding)

    - #### getService

          public Service getService()

    - #### setService

          protected void setService​(Service service)